## org.hibernate.cfg.annotations
Class EntityBinder

    java.lang.Object
      org.hibernate.cfg.annotations.EntityBinder

    public class EntityBinder

extends Object

Stateful holder and processor for binding Entity information

Author:
  Emmanuel Bernard

Constructor Summary
`EntityBinder()` Use as a fake one for Collection of elements
`EntityBinder(Entity ejb3Ann, Entity hibAnn, org.hibernate.annotations.common.reflection.XClass annotatedClass, PersistentClass persistentClass, Mappings mappings)`

Method Summary
`void` `addFilter(String name, String condition)`
`Join` `addJoin(JoinTable joinTable, PropertyHolder holder, boolean noDelayInPkColumnCreation)`
`void` `bindDiscriminatorValue()`
`void` `bindEntity()`
`void` `bindTable(String schema, String catalog, String tableName, List<UniqueConstraintHolder> uniqueConstraints, String constraints, Table denormalizedSuperclassTable)`
`void` `finalSecondaryTableBinding(PropertyHolder propertyHolder)`
`void` `firstLevelSecondaryTablesBinding(SecondaryTable secTable, SecondaryTables secTables)`
`static String` `getCacheConcurrencyStrategy(CacheConcurrencyStrategy strategy)`
`AccessType` `getExplicitAccessType(org.hibernate.annotations.common.reflection.XAnnotatedElement element)`
`AccessType` `getPropertyAccessor(org.hibernate.annotations.common.reflection.XAnnotatedElement element)`
`AccessType` `getPropertyAccessType()`
`Map<String,Join>` `getSecondaryTables()`
`boolean` `isIgnoreIdAnnotations()`
`void` `processComplementaryTableDefinitions(Table table)`
`void` `processComplementaryTableDefinitions(Tables tables)`
`void` `setBatchSize(BatchSize sizeAnn)`
`void` `setCache(Cache cacheAnn)`
`void` `setDiscriminatorValue(String discriminatorValue)`
`void` `setForceDiscriminator(boolean forceDiscriminator)`
`void` `setIgnoreIdAnnotations(boolean ignoreIdAnnotations)`
`void` `setInheritanceState(InheritanceState inheritanceState)`
`void` `setInsertableDiscriminator(boolean insertableDiscriminator)`
`void` `setPropertyAccessType(AccessType propertyAccessor)`
`void` `setProxy(Proxy proxy)`
`void` `setWhere(Where whereAnn)`
`void` `setWrapIdsInEmbeddedComponents(boolean wrapIdsInEmbeddedComponents)`
`boolean` `wrapIdsInEmbeddedComponents()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EntityBinder

    public EntityBinder()

  Use as a fake one for Collection of elements

### EntityBinder

    public EntityBinder(Entity ejb3Ann,
                        Entity hibAnn,
                        org.hibernate.annotations.common.reflection.XClass annotatedClass,
                        PersistentClass persistentClass,
                        Mappings mappings)

Method Detail

### wrapIdsInEmbeddedComponents

    public boolean wrapIdsInEmbeddedComponents()

### setDiscriminatorValue

    public void setDiscriminatorValue(String discriminatorValue)

### setForceDiscriminator

    public void setForceDiscriminator(boolean forceDiscriminator)

### setInsertableDiscriminator

    public void setInsertableDiscriminator(boolean insertableDiscriminator)

### bindEntity

    public void bindEntity()

### bindDiscriminatorValue

    public void bindDiscriminatorValue()

### setBatchSize

    public void setBatchSize(BatchSize sizeAnn)

### setProxy

    public void setProxy(Proxy proxy)

### setWhere

    public void setWhere(Where whereAnn)

### setWrapIdsInEmbeddedComponents

    public void setWrapIdsInEmbeddedComponents(boolean wrapIdsInEmbeddedComponents)

### bindTable

    public void bindTable(String schema,
                          String catalog,
                          String tableName,
                          List<UniqueConstraintHolder> uniqueConstraints,
                          String constraints,
                          Table denormalizedSuperclassTable)

### finalSecondaryTableBinding

    public void finalSecondaryTableBinding(PropertyHolder propertyHolder)

### firstLevelSecondaryTablesBinding

    public void firstLevelSecondaryTablesBinding(SecondaryTable secTable,
                                                 SecondaryTables secTables)

### addJoin

    public Join addJoin(JoinTable joinTable,
                        PropertyHolder holder,
                        boolean noDelayInPkColumnCreation)

### getSecondaryTables

    public Map<String,Join> getSecondaryTables()

### setCache

    public void setCache(Cache cacheAnn)

### getCacheConcurrencyStrategy

    public static String getCacheConcurrencyStrategy(CacheConcurrencyStrategy strategy)

### addFilter

    public void addFilter(String name,
                          String condition)

### setInheritanceState

    public void setInheritanceState(InheritanceState inheritanceState)

### isIgnoreIdAnnotations

    public boolean isIgnoreIdAnnotations()

### setIgnoreIdAnnotations

    public void setIgnoreIdAnnotations(boolean ignoreIdAnnotations)

### processComplementaryTableDefinitions

    public void processComplementaryTableDefinitions(Table table)

### processComplementaryTableDefinitions

    public void processComplementaryTableDefinitions(Tables tables)

### getPropertyAccessType

    public AccessType getPropertyAccessType()

### setPropertyAccessType

    public void setPropertyAccessType(AccessType propertyAccessor)

### getPropertyAccessor

    public AccessType getPropertyAccessor(org.hibernate.annotations.common.reflection.XAnnotatedElement element)

### getExplicitAccessType

    public AccessType getExplicitAccessType(org.hibernate.annotations.common.reflection.XAnnotatedElement element)

Copyright © 2001-2010 Red Hat, Inc. All Rights Reserved.